CREATE FUNCTION [dbo].[buscarLote](
@INVOICE_ID as varchar(30)
, @LINE_NO as smallint
)
RETURNS varchar(max)
AS
BEGIN
DECLARE @PEDIDOS varchar(max)
,@Lote varchar(max)
	SET @PEDIDOS=''
	SET @Lote=''

	DECLARE Tabla_RECEIVABLE CURSOR FOR
		SELECT 'Lote: ' + tit.TRACE_ID 
		+ ' Cantidad: ' + CAST(ROUND(ABS(tit.QTY),2) as varchar)
		+ ' Caducidad: ' + CONVERT(varchar,t.EXPIRATION_DATE,103)
		as Lote
		FROM VILABCORNE..TRACE_INV_TRANS tit
		INNER JOIN VILABCORNE..TRACE t ON t.ID=tit.TRACE_ID AND t.PART_ID=tit.PART_ID
		INNER JOIN VILABCORNE..SHIPPER_LINE sl ON sl.TRANSACTION_ID=tit.TRANSACTION_ID
		INNER JOIN VILABCORNE..RECEIVABLE_LINE rl ON rl.PACKLIST_ID=sl.PACKLIST_ID AND rl.PACKLIST_LINE_NO=rl.PACKLIST_LINE_NO
		WHERE rl.INVOICE_ID like @INVOICE_ID AND rl.LINE_NO=@LINE_NO
	OPEN Tabla_RECEIVABLE
			FETCH NEXT FROM Tabla_RECEIVABLE
		INTO
			@Lote
	             WHILE @@FETCH_STATUS=0
		BEGIN
			IF @PEDIDOS=''
			BEGIN
				SET @PEDIDOS=@Lote
			END
			ELSE
			BEGIN
				SET @PEDIDOS=@PEDIDOS+' | ' + @Lote
			END
			
			FETCH NEXT FROM Tabla_RECEIVABLE
				INTO
			@Lote
		END 
	CLOSE Tabla_RECEIVABLE
	DEALLOCATE Tabla_RECEIVABLE


RETURN(@PEDIDOS) 
END

GO


